System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Discovery.DiscoverySearchPattern

The class inherits from the abstract class and is employed by the class's method, which handles an HTTP request for a discovery document. Normally, none of these classes need to be used directly by a developer.

Obtains the file locations and descriptions of ASP.NET Web services. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.Services.Discovery.DiscoveryReference ``

  The concrete class inherits from the abstract class.

  A instance contains the location of the .asmx file and the corresponding Web Services Description Language (WSDL) document, which can be dynamically obtained by appending a wsdl query string to the .asmx file path.

  Creates the object for the specified .asmx file.

  A object with the specified file name for its .asmx file.

  The file-system path of the Web service's .asmx file. 1.0.5000.0 2.0.0.0
- Property
  System.String a

  The pattern "*.asmx" indicates an ASP.NET Web service file extension.

  Gets the file name pattern to use as a search target.

  1.0.5000.0
  2.0.0.0